Le SDK d’iOS 12.1 indispensable pour les nouvelles apps à partir de mars 2019

Mickaël Bazoge |

À partir de mars prochain, les nouvelles applications soumises aux bons soins de l’App Store devront avoir été compilées avec le SDK d’iOS 12.1. C’est ce que précise Apple sur son portail dédié aux développeurs (tout en bas). Ces derniers devront aussi s’arranger pour que leurs apps prennent en charge tous les nouveaux écrans des produits d’Apple (y compris le design à encoche du grand écran de l’iPhone XS Max).

Tags
avatar mud1007 | 

Il y a longtemps que les apps devrait prendre en charge le nouvelle écran mais plusieurs persiste comme d’habitude:(

avatar brunnno | 

Effectivement, Apple n’a pas été aussi exigeant avec l’iPhone X. Aujourd’hui encore, un an après bcp d’applications traînent les pieds !

avatar Nicolas. | 

Franchement pas tant que ça, je dois en avoir 2-3 qui sont pas adaptés max

avatar marc-5 | 

Et aussi pour l’écran du XR ^^
Certaines apps sont juste agrandies grossièrement, un peu d’optimisation ne ferait pas de mal sur ce point

avatar macbook60 | 

Bonne nouvelle

avatar roquebrune | 

C’est très bien

avatar colossus928 | 

Est ce que ça risque de rendre ces applications incompatibles avec les anciens OS style iOS 10 ?

avatar RedMak | 

@colossus928

Non les app sont compilées avec ios 12.1 mais restent compatible avec se que le dev decide, ios 10 donc ou antérieur.

avatar roquebrune | 

@colossus928

J’espère , il faudrait que les app pas au niveau arrêtent de fonctionner et soient retirées de l’AppStore pour iOS 12.1 uniquement bien sûr

avatar XXL | 

Merci l’encoche, c’est une honte de pas mettre les app a jour

CONNEXION UTILISATEUR